# zápis reťazca do súboru

subor = open('story.txt', 'w')                             # vytvorí prázdny súbor v prípade ak takýto súbor dosiaľ neexistoval
                                                           # všetky údaje v súbore premaže ak takýto súbor už existoval
subor.close()



# zápis do súboru použitím metódy write

s1 = open('story1.txt', 'w')

s1.write('prvy')                                          # funkcia write(reťazec) zapíše zadaný reťazec na momentálny koniec súboru
s1.write(' riadok')
s1.write('\n')                                            # ak chceme, aby sa v súbore objavili aj koncové znaky '\n', musíme ich pridať do reťazca
s1.write('druhy riadok\n')
s1.close()


s2 = open('story2.txt', 'w') 
s2.write('prvy riadok\ndruhy riadok\n')                   # niekoľko za sebou idúcich zápisov do súboru môžeme spojiť do jedného t.j. jediným volaním metódy write()     
s2.close()


s3 = open('prvocisla1.txt', 'w')
s3.write('zoznam jednocifernych prvocisel:\n')
for i in 2, 3, 5, 7:
   s3.write(f'cislo {i} je prvocislo\n')
s3.close()




# zápis do súboru použitím metódy print, pomocou ktorej presmerujeme výstup do nášho súboru 

s4 = open('prvocisla2.txt', 'w')
print('zoznam jednocifernych prvocisel:\n', file=s4)      # musíme uviesť súborovú premennú už otvoreného súboru na zápis, v našom prípade s4
for i in 2, 3, 5, 7:
   print(f'cislo {i} je prvocislo\n', file=s4)
s4.close()


s5 = open('prvocisla3.txt', 'w')
print('zoznam jednocifernych prvocisel:\n', file=s5)
for i in 2, 3, 5, 7:
   print(f'cislo {i} je prvocislo\n',end='', file=s5)
s5.close()


s6 = open('prvocisla4.txt', 'w')
print('zoznam jednocifernych prvocisel:\n', file=s6)
for i in 2, 3, 5, 7:
    print(f'{i}', end=' ', file=s6)
s6.close()



# kopírovanie súboru

odkial = open('prvocisla2.txt', 'r')
kam = open('prvocisla5.txt', 'w')
for riadok in odkial:                                # postupné prečítanie riadkov súboru
    riadok = riadok.strip()
    if riadok != '':
        kam.write(riadok + '\n')                     # priebežné ukladanie do nového súboru
odkial.close()
kam.close()


odkial = open('prvocisla2.txt', 'r')
cely = ''
for riadok in odkial:                                # prečítanie celého súboru a uloženie do jedného reťazca postupným zreťazovaním
    riadok = riadok.strip()
    if riadok != '':
        cely += riadok + '\n'
odkial.close()
s7 = open('prvocisla6.txt', 'w')
s7.write(cely)                                       # finálne uloženie zreťazeného výstupu do nového súboru
s7.close()



# zápis bez zrušenia jeho pôvodného obsahu, pri ktorom sa súbor otvorí na zápis, ale nezruší sa jeho pôvodný obsah (nové riadky sa budú pridávať na koniec súboru)

s8 = open('prvocisla2.txt', 'a')
print('zopakovany zoznam jednocifernych prvocisel:\n', file=s8)
for i in 2, 3, 5, 7:
   print(f'cislo {i} je prvocislo\n',end='', file=s8)
s8.close()



